#!/bin/bash
function shutdown()
{
  nvram -x -p >/nvram/nvram.plist
  exit 0
}

function startup()
{
  nvram -xf /nvram/nvram.plist

  tail -f /dev/null &
  wait $!
}

trap shutdown SIGTERM
trap shutdown SIGKILL

startup;